python3-petsc4py-openmpi-3.7.0-3.6.x86_64.rpm


Advertisement

Description

python3-petsc4py-openmpi - Python bindings for PETSc - openmpi enabled

Property Value
Distribution openSUSE Tumbleweed
Repository Science all
Package name python3-petsc4py-openmpi
Package version 3.7.0
Package release 3.6
Package architecture x86_64
Package type rpm
Installed size 3.48 MB
Download size 797.43 KB
Official Mirror widehat.opensuse.org
petsc4py are Python bindings for PETSc, the Portable, Extensible Toolkit for Scientific Computation.
This is the openmpi enabled version

Alternatives

Package Version Architecture Repository
python3-petsc4py-openmpi-3.7.0-3.6.i586.rpm 3.7.0 i586 Science
python3-petsc4py-openmpi - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libmpi.so.12()(64bit) -
libpetsc.so.3.7()(64bit) -
libpetsc3-openmpi >= 3.7
libpython3.6m.so.1.0()(64bit) -
python3 numpy
python3 mpi4py

Provides

Name Value
python3-petsc4py-openmpi = 3.7.0-3.6
python3-petsc4py-openmpi(x86-64) = 3.7.0-3.6

Download

Type URL
Binary Package python3-petsc4py-openmpi-3.7.0-3.6.x86_64.rpm
Source Package python-petsc4py-3.7.0-3.6.src.rpm

Install Howto

  1. Add the Science repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/science/openSUSE_Tumbleweed/ science
  2. Install python3-petsc4py-openmpi rpm package:
    # zypper install python3-petsc4py-openmpi

Files

Path
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/PETSc.py
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/__init__.py
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/__main__.py
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py-3.7.0-py3.6.egg-info/PKG-INFO
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py-3.7.0-py3.6.egg-info/SOURCES.txt
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py-3.7.0-py3.6.egg-info/dependency_links.txt
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py-3.7.0-py3.6.egg-info/not-zip-safe
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py-3.7.0-py3.6.egg-info/requires.txt
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py-3.7.0-py3.6.egg-info/top_level.txt
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/__pycache__/PETSc.cpython-36.pyc
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/__pycache__/__init__.cpython-36.pyc
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/__pycache__/__main__.cpython-36.pyc
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/include/
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/include/petsc4py/PETSc.pxd
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/include/petsc4py/__init__.pxd
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/include/petsc4py/__init__.pyx
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/include/petsc4py/numpy.h
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/include/petsc4py/petsc4py.PETSc.h
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/include/petsc4py/petsc4py.PETSc_api.h
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/include/petsc4py/petsc4py.h
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/include/petsc4py/petsc4py.i
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/lib/PETSc.cpython-36m-x86_64-linux-gnu.so
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/lib/__init__.py
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/lib/petsc.cfg
/usr/lib64/mpi/gcc/openmpi/lib64/python3.6/site-packages/petsc4py/lib/__pycache__/__init__.cpython-36.pyc
/usr/share/doc/packages/python3-petsc4py-openmpi/CHANGES.rst
/usr/share/doc/packages/python3-petsc4py-openmpi/DESCRIPTION.rst
/usr/share/doc/packages/python3-petsc4py-openmpi/LICENSE.rst
/usr/share/doc/packages/python3-petsc4py-openmpi/README.rst

Changelog

2017-09-07 - toddrme2178@gmail.com
- Implement single-spec version
2017-03-17 - kkhere.geo@gmail.com
- update to version 3.7 for petsc 3.7
2014-01-28 - kkhere.geo@gmail.com
- create separate package for serial and openmpi support
2014-01-10 - kkhere.geo@gmail.com
- update to version 3.4 to coincide with petsc
changelog available only as upstream git repo
2013-10-24 - speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
2012-09-18 - scorot@free.fr
- update petsc dir according to recent change in petsc package
2012-08-14 - scorot@free.fr
- fix build according to new petsc directory
2012-08-07 - scorot@free.fr
- first package

See Also

Package Description
python3-pivy-0.6.4-12.4.i586.rpm Coin Binding for Python
python3-pivy-0.6.4-12.4.x86_64.rpm Coin Binding for Python
python3-plplot-5.13.0-146.3.i586.rpm PLplot functions for scientific plotting with Python
python3-plplot-5.13.0-146.3.x86_64.rpm PLplot functions for scientific plotting with Python
python3-power-1.4-8.10.noarch.rpm System power status information in Python
python3-pyproj-1.9.5.1-2.73.i586.rpm Python interface to PROJ4 library
python3-pyproj-1.9.5.1-2.73.x86_64.rpm Python interface to PROJ4 library
python3-splinter-3.0-10.9.i586.rpm Python3 bindings for splinter
python3-splinter-3.0-10.9.x86_64.rpm Python3 bindings for splinter
python3-ufl-2016.2.0-1.13.noarch.rpm A domain specific language for declaration of finite element discretizations
python3-utils-2.3.0-1.1.noarch.rpm numpy-stl Supporting Utilities
python3-vtk-8.1.2-130.4.i586.rpm Python bindings for VTK
python3-vtk-8.1.2-130.4.x86_64.rpm Python bindings for VTK
python3-vtk-openmpi-8.1.2-130.4.i586.rpm Python bindings for VTK
python3-vtk-openmpi-8.1.2-130.4.x86_64.rpm Python bindings for VTK
Advertisement
Advertisement